// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Project
 *-----------------------------------------------------------------------------
 *
 * @Description              : Project的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-14 08:56:34
 *
 ******************************************************************************/
type Project struct {
	PlantNr                int           `xorm:"pk int 'PlantNr'" json:"ME_Project-PlantNr"`
	ProjectId              string        `xorm:"pk nvarchar(40) 'ProjectId'" json:"ME_Project-ProjectId"`
	Descr                  string        `xorm:"nvarchar(100) 'Descr' not null" json:"ME_Project-Descr"`
	EnableToggle           bool          `xorm:"bit 'EnableToggle' not null" json:"ME_Project-EnableToggle"`
	PlantSiteCode          int           `xorm:"int 'PlantSiteCode' not null" json:"ME_Project-PlantSiteCode"`
	CustName1              string        `xorm:"nvarchar(100) 'CustName1' not null" json:"ME_Project-CustName1"`
	CustName2              string        `xorm:"nvarchar(100) 'CustName2' not null" json:"ME_Project-CustName2"`
	FileServerHost         string        `xorm:"nvarchar(60) 'FileServerHost' not null" json:"ME_Project-FileServerHost"`
	FileFolder1            string        `xorm:"nvarchar(100) 'FileFolder1' not null" json:"ME_Project-FileFolder1"`
	FileFolder2            string        `xorm:"nvarchar(100) 'FileFolder2' not null" json:"ME_Project-FileFolder2"`
	FileFolder3            string        `xorm:"nvarchar(100) 'FileFolder3' not null" json:"ME_Project-FileFolder3"`
	FileFolder4            string        `xorm:"nvarchar(100) 'FileFolder4' not null" json:"ME_Project-FileFolder4"`
	FileFolder5            string        `xorm:"nvarchar(100) 'FileFolder5' not null" json:"ME_Project-FileFolder5"`
	FileFolder6            string        `xorm:"nvarchar(100) 'FileFolder6' not null" json:"ME_Project-FileFolder6"`
	File1NameRegexp        string        `xorm:"nvarchar(100) 'File1NameRegexp' not null" json:"ME_Project-File1NameRegexp"`
	File2NameRegexp        string        `xorm:"nvarchar(100) 'File2NameRegexp' not null" json:"ME_Project-File2NameRegexp"`
	File3NameRegexp        string        `xorm:"nvarchar(100) 'File3NameRegexp' not null" json:"ME_Project-File3NameRegexp"`
	File4NameRegexp        string        `xorm:"nvarchar(100) 'File4NameRegexp' not null" json:"ME_Project-File4NameRegexp"`
	File5NameRegexp        string        `xorm:"nvarchar(100) 'File5NameRegexp' not null" json:"ME_Project-File5NameRegexp"`
	File6NameRegexp        string        `xorm:"nvarchar(100) 'File6NameRegexp' not null" json:"ME_Project-File6NameRegexp"`
	OrderVerifyRuleToggle1 bool          `xorm:"bit 'OrderVerifyRuleToggle1' not null" json:"ME_Project-OrderVerifyRuleToggle1"`
	OrderVerifyRuleToggle2 bool          `xorm:"bit 'OrderVerifyRuleToggle2' not null" json:"ME_Project-OrderVerifyRuleToggle2"`
	OrderVerifyRuleToggle3 bool          `xorm:"bit 'OrderVerifyRuleToggle3' not null" json:"ME_Project-OrderVerifyRuleToggle3"`
	OrderVerifyRuleToggle4 bool          `xorm:"bit 'OrderVerifyRuleToggle4' not null" json:"ME_Project-OrderVerifyRuleToggle4"`
	OrderVerifyRuleToggle5 bool          `xorm:"bit 'OrderVerifyRuleToggle5' not null" json:"ME_Project-OrderVerifyRuleToggle5"`
	OrderVerifyRuleToggle6 bool          `xorm:"bit 'OrderVerifyRuleToggle6' not null" json:"ME_Project-OrderVerifyRuleToggle6"`
	OrderVerifyRule1       string        `xorm:"nvarchar(100) 'OrderVerifyRule1' not null" json:"ME_Project-OrderVerifyRule1"`
	OrderVerifyRule2       string        `xorm:"nvarchar(100) 'OrderVerifyRule2' not null" json:"ME_Project-OrderVerifyRule2"`
	OrderVerifyRule3       string        `xorm:"nvarchar(100) 'OrderVerifyRule3' not null" json:"ME_Project-OrderVerifyRule3"`
	OrderVerifyRule4       string        `xorm:"nvarchar(100) 'OrderVerifyRule4' not null" json:"ME_Project-OrderVerifyRule4"`
	OrderVerifyRule5       string        `xorm:"nvarchar(100) 'OrderVerifyRule5' not null" json:"ME_Project-OrderVerifyRule5"`
	OrderVerifyRule6       string        `xorm:"nvarchar(100) 'OrderVerifyRule6' not null" json:"ME_Project-OrderVerifyRule6"`
	EmailServerHost        string        `xorm:"nvarchar(60) 'EmailServerHost' not null" json:"ME_Project-EmailServerHost"`
	EmailServerPort        int           `xorm:"int 'EmailServerPort' not null" json:"ME_Project-EmailServerPort"`
	FromEmail              string        `xorm:"nvarchar(100) 'FromEmail' not null" json:"ME_Project-FromEmail"`
	FromPwd                string        `xorm:"nvarchar(100) 'FromPwd' not null" json:"ME_Project-FromPwd"`
	ErrorRecievers         string        `xorm:"nvarchar(100) 'ErrorRecievers' not null" json:"ME_Project-ErrorRecievers"`
	ErrorCcRecievers       string        `xorm:"nvarchar(100) 'ErrorCcRecievers' not null" json:"ME_Project-ErrorCcRecievers"`
	LogUrl                 string        `xorm:"nvarchar(60) 'LogUrl' not null" json:"ME_Project-LogUrl"`
	LogTable               string        `xorm:"nvarchar(40) 'LogTable' not null" json:"ME_Project-LogTable"`
	CustOrderSnr           string        `xorm:"nvarchar(40) 'CustOrderSnr' not null" json:"ME_Project-CustOrderSnr"`
	WorkOrderSnr           string        `xorm:"nvarchar(40) 'WorkOrderSnr' not null" json:"ME_Project-WorkOrderSnr"`
	LogDemandSnr           string        `xorm:"nvarchar(40) 'LogDemandSnr' not null" json:"ME_Project-LogDemandSnr"`
	WorkOrderCacheSnr      string        `xorm:"nvarchar(40) 'WorkOrderCacheSnr' not null" json:"ME_Project-WorkOrderCacheSnr"`
	LogDemandCacheSnr      string        `xorm:"nvarchar(40) 'LogDemandCacheSnr' not null" json:"ME_Project-LogDemandCacheSnr"`
	SerialOrderSnr         string        `xorm:"nvarchar(40) 'SerialOrderSnr' not null" json:"ME_Project-SerialOrderSnr"`
	ManualOrderSnr         string        `xorm:"nvarchar(40) 'ManualOrderSnr' not null" json:"ME_Project-ManualOrderSnr"`
	OrderMsgSnr            string        `xorm:"nvarchar(40) 'OrderMsgSnr' not null" json:"ME_Project-OrderMsgSnr"`
	ReworkOrderSnr         string        `xorm:"nvarchar(40) 'ReworkOrderSnr' not null" json:"ME_Project-ReworkOrderSnr"`
	PackOrderSnr           string        `xorm:"nvarchar(40) 'PackOrderSnr' not null" json:"ME_Project-PackOrderSnr"`
	PackOrderSyncSnr       string        `xorm:"nvarchar(40) 'PackOrderSyncSnr' not null" json:"ME_Project-PackOrderSyncSnr"`
	ShipOrderSnr           string        `xorm:"nvarchar(40) 'ShipOrderSnr' not null" json:"ME_Project-ShipOrderSnr"`
	ShipFileSnr            string        `xorm:"nvarchar(40) 'ShipFileSnr' not null" json:"ME_Project-ShipFileSnr"`
	AsnFileSnr             string        `xorm:"nvarchar(40) 'AsnFileSnr' not null" json:"ME_Project-AsnFileSnr"`
	LastModify             grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ME_Project-LastModify"`
	LastUser               string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ME_Project-LastUser"`
	CreateTime             grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ME_Project-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-14 08:56:34
 *
 ******************************************************************************/
func (self *Project) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ProjectId}
}
